Debian Bug report logs - #635504
ITP: flashcache -- write back block device cache for Linux

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Arno Töll <debian@toell.net>

Date: Tue, 26 Jul 2011 12:18:02 UTC

Owned by: guoliang@debian.org

Severity: wishlist

Fixed in version flashcache/1.0+git20121013-1

Done: Liang Guo <guoliang@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Arno T�ll" <debian@toell.net>:
Bug#635504; Package wnpp. (Tue, 26 Jul 2011 12:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arno Töll <debian@toell.net>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org, "Arno T�ll" <debian@toell.net>. (Tue, 26 Jul 2011 12:18:39 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Arno Töll <debian@toell.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: flashcache -- write back block device cache for Linux
Date: Tue, 26 Jul 2011 14:14:18 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Package: wnpp
Severity: wishlist
Owner: "Arno Töll" <debian@toell.net>

* Package name    : flashcache
  Version         : 1.0
  Upstream Author : Mohan Srinivasan <mohan@fb.com>
* URL             : https://github.com/facebook/flashcache
* License         : GPL-2
  Programming Lang: C
  Description     : write-back block device cache for Linux

Flashcache is a write-back block device cache for Linux. Using the Linux
device mapper (DM) it provides an overlay mapper, to cache chunks of
data on a high speed caching device like a solid-state drive for fast
read access.
.
Flashcache supports FIFO and LRU cache sets, is configurable and error
resistant. It comes with a DKMS kernel module and a corresponding user
land for command and control.



- -- 
with kind regards,
Arno Töll
IRC: daemonkeeper on Freenode/OFTC
GnuPG Key-ID: 0x9D80F36D
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBAgAGBQJOLq+aAAoJEMcrUe6dgPNtCnEP/i+FjnyT7QB13uQ3NJuSRWDe
t/z/cl9gGlbJXvQr8tLf/9HuwpDFWWAjESrPaYzgj5YwH/B/vb6s67BpL584duaW
ChFDyzQ2d2INzZNSS1vNCJAStACPjmHnF3OkZTnYP1673zrvXRq6EA67sXOaB1qC
kpQ4getqwWFbirD9x0m7qA80ntgiCEvArTDEuKR8wjcDyyUK+fbjh612dXEpSvlv
/bIL0AeGxccZP2KnAnFz9PYeN6i6qBsMZLfb7zQSnzFszz0P7OtU88vC4z6cEbRc
8QpkDmUbC2Apsagt3CmIU9S91KGAmH4fnr7UnKyhpKvu/8QBry0X1hGBd5MjArfC
mSBrTVUotxQvuDP38WVFX22RKiCbQg3Q+NK0El07iuJpYLiv3dqSP3hNZD3HjLQX
dLJIPEi7Ri/9wJjLaTPlgk9keqfwdWX3s6Hth+1fxhA2Nwue21MsHJocPtBybGIS
Nz3RAJl8743fNloZILyNZe9d3dDQavqxK/eHEjGl31ryJ8b0UbI034WtMzO7ndkD
V4W7tZF+kOY/BEdmbDYfl0Nf/G+I6mieomX9xf8dFWIVK0/gisyasnLmYECgPUA7
f3C3/3eOEcPNp7AYiTR/QCKy237CHPzCLAUBsQx1O9NQ827e44NdsP0ObQADit0t
LERl08N8EZAeCdOmhupi
=1jzY
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Arno T�ll" <debian@toell.net>:
Bug#635504; Package wnpp. (Wed, 27 Jul 2011 05:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Liang Guo <bluestonechina@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Arno T�ll" <debian@toell.net>. (Wed, 27 Jul 2011 05:51:03 GMT) Full text and rfc822 format available.

Message #10 received at 635504@bugs.debian.org (full text, mbox):

From: Liang Guo <bluestonechina@gmail.com>
To: Arno Töll <debian@toell.net>
Cc: 635504@bugs.debian.org
Subject: Re: Bug#635504: ITP: flashcache -- write back block device cache for Linux
Date: Wed, 27 Jul 2011 13:49:05 +0800
On Tue, Jul 26, 2011 at 8:25 PM, Arno Töll <debian@toell.net> wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> Package: wnpp
> Severity: wishlist
> Owner: "Arno Töll" <debian@toell.net>
>
> * Package name    : flashcache
>  Version         : 1.0
>  Upstream Author : Mohan Srinivasan <mohan@fb.com>
> * URL             : https://github.com/facebook/flashcache
> * License         : GPL-2
>  Programming Lang: C
>  Description     : write-back block device cache for Linux
>
> Flashcache is a write-back block device cache for Linux. Using the Linux
> device mapper (DM) it provides an overlay mapper, to cache chunks of
> data on a high speed caching device like a solid-state drive for fast
> read access.
> .
> Flashcache supports FIFO and LRU cache sets, is configurable and error
> resistant. It comes with a DKMS kernel module and a corresponding user
> land for command and control.
>
>
> (manual cc: as by policy, as busoni refused to talk to me before)

flashcache don't compatible with linux 3.0.0, do you have any solution for this?

Thanks,
-- 
Liang Guo
http://bluestone.cublog.cn




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Arno T�ll" <debian@toell.net>:
Bug#635504; Package wnpp. (Wed, 27 Jul 2011 08:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arno Töll <debian@toell.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Arno T�ll" <debian@toell.net>. (Wed, 27 Jul 2011 08:51:04 GMT) Full text and rfc822 format available.

Message #15 received at 635504@bugs.debian.org (full text, mbox):

From: Arno Töll <debian@toell.net>
To: Liang Guo <bluestonechina@gmail.com>
Cc: 635504@bugs.debian.org
Subject: Re: Bug#635504: ITP: flashcache -- write back block device cache for Linux
Date: Wed, 27 Jul 2011 10:47:59 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 27.07.2011 07:49, Liang Guo wrote:
> flashcache don't compatible with linux 3.0.0, do you have any solution for this?

I haven't tried it with Linux 3.0 (yet), but as flashcache is under
active development and it runs fine on rather recent kernels as well,
this should not be a crucial problem.

However thanks for your hint.

- -- 
with kind regards,
Arno Töll
IRC: daemonkeeper on Freenode/OFTC
GnuPG Key-ID: 0x9D80F36D
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBAgAGBQJOL9C/AAoJEMcrUe6dgPNtx9MQAJu7p4Yo7y1MIzZL/gT3TAM7
Qepj44Xavjl360usLA7ZcQyPrKevxPLuIKJbAxAFHu4BqzzZP+BvmypmiwgiQsdN
85YlKMR+kN+k8kuEd/cYQ2bSYALQnzWvDSFgMz63lHCXatZXzZrtPOcKPIazWiFV
9Jm4+9isEy2BOf7yUQca+WoiCW7mnf0G0jzp/+MowxI+Xbqi8KcT+Z2GSmeY3Euj
f2BObcjf1a7wGhrzEC70kMggbPVvD5kMzzTygNAprb6vIFPRt2/SX+npaIE1XQam
L6jWesGfPy9DKRuzjcA+Oc0nE9HvxPrtuphs34/e53Jn4FWn/OeMnthECpDfSzEY
uMmSL0+VKwpT0OLX/yPWu1hMvKIF7QDScbZ5bRFmRThimn5BdKknnc+cyM/uXQAa
6zO3lN3YZnINRMajl7AnpOdTuG2fsyz0DEuD7ZUo3Ac1tLEaIc5L+xUJK7sKsX6D
Ir4ird8grIKdOgVMxXKfzppPM33XLN3bAyw/q2/35TUpaYoisT4icB2GftW+s6Fo
Lw4tRAxMdF6oQi2t6DzovBk0azpUekf8i6CmCUyG0XKMGV5cPZrlOsTcnQzO5sT6
eHbvu5+a5DHYXmfrI5RYbTY2Iky+twLWoz/REB0XhxKWyxYCMyeFaFzGmgox0urC
Wa7mPFQuP9V/VEeJwkVc
=JIn3
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Arno T�ll" <debian@toell.net>:
Bug#635504; Package wnpp. (Sun, 18 Sep 2011 04:24:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to onlyjob <onlyjob@member.fsf.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Arno T�ll" <debian@toell.net>. (Sun, 18 Sep 2011 04:24:13 GMT) Full text and rfc822 format available.

Message #20 received at 635504@bugs.debian.org (full text, mbox):

From: onlyjob <onlyjob@member.fsf.org>
To: 635504@bugs.debian.org
Subject: Re: Bug#635504: ITP: flashcache -- write back block device cache for Linux
Date: Sun, 18 Sep 2011 14:21:21 +1000
Hi,

No so long ago flashcache's master branch was updated for
compatibility with Linux kernel 3.0

Recent package from http://mentors.debian.net works on 3.0.0-1-amd64

Regards,
Dmitry.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Arno T�ll" <debian@toell.net>:
Bug#635504; Package wnpp. (Sun, 18 Sep 2011 09:58:33 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arno Töll <debian@toell.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Arno T�ll" <debian@toell.net>. (Sun, 18 Sep 2011 09:58:38 GMT) Full text and rfc822 format available.

Message #25 received at 635504@bugs.debian.org (full text, mbox):

From: Arno Töll <debian@toell.net>
To: onlyjob <onlyjob@member.fsf.org>, 635504@bugs.debian.org
Subject: Re: Bug#635504: ITP: flashcache -- write back block device cache for Linux
Date: Sun, 18 Sep 2011 11:52:51 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 18.09.2011 06:21, onlyjob wrote:
> Recent package from http://mentors.debian.net works on 3.0.0-1-amd64

I am aware, you can see my package on [1]. Its pretty much complete but
I am not finished yet.


[1]
http://anonscm.debian.org/gitweb/?p=collab-maint/flashcache.git;a=summary
- -- 
with kind regards,
Arno Töll
IRC: daemonkeeper on Freenode/OFTC
GnuPG Key-ID: 0x9D80F36D
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBAgAGBQJOdb9zAAoJEMcrUe6dgPNtqcoQAMDqQSs6CPdw6TdwEBTlSU4t
Fb+Tn5dAmq29bn8E2R2E6hZWQQC6B4FF58oZnzurOPsP16kPk/8KXmZ9J/on0pvq
lz1bcLe4d9Sp/6iclXiYwl+YTYQIRB+WNpl1kD98ZqGhF8FZqQG2+s+VvLpgaugf
OA1oom09Ue/P3HfS07k8X/8Rzd6/DixNIkCwF569k2FKyhjnqayRUfI4xq+uYFYi
8K0PYvovkin1twouc0dzvlmvWE9o3p8ANvYxf9FqnkmzpGSfHQxGqKiXn+oLLcCm
/iALXqd6+X6t/YXr4sb9XI0l/6+eM3ltVzQhDGZ5JPHipmlN3aSHmcc0yI57J2BU
OZ06t5Lv8BtlqVgr7OMqXb7JHZaci+snUT0DXRpRT48nj/n+GyXHk2iMWPUL0Ds+
5jWzzsWuvUNGeZodNWK+T2fdMs1QeGwd3b1HVs/KwnD6r9prAvh8ayaXn5SoA+W8
1ZVb5EL+oz7FEH5ZGJ+1pKhRdb7vpDhCzXCFYYT4szNqCaPxekrm4ZhWz9X1hCKl
Pl+dLL5DYzYsfMvSphPR3fEBb6q9pabd8zUBI8wLhc8ENsAOtlFxCudfpsESMtzd
UeDifQ/7RCZXW4OMgJr9lsd966Ad/C8/I04r9tHW8EYqTynLNISlmQ6SbDNLNNke
JCvg7PtjW+u42ns3dF5g
=RZQ5
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Arno T�ll" <debian@toell.net>:
Bug#635504; Package wnpp. (Sun, 18 Sep 2011 12:06:32 GMT) Full text and rfc822 format available.

Acknowledgement sent to onlyjob <onlyjob@member.fsf.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Arno T�ll" <debian@toell.net>. (Sun, 18 Sep 2011 12:06:34 GMT) Full text and rfc822 format available.

Message #30 received at 635504@bugs.debian.org (full text, mbox):

From: onlyjob <onlyjob@member.fsf.org>
To: Arno Töll <debian@toell.net>
Cc: 635504@bugs.debian.org
Subject: Re: Bug#635504: ITP: flashcache -- write back block device cache for Linux
Date: Sun, 18 Sep 2011 22:03:55 +1000
No, I wasn't aware of yours...
I reckon we've been working independently....
I just completed my own... There are definitely some similarities but
also differences in the way we did it.

Cheers,
Dmitry.

On 18 September 2011 19:52, Arno Töll <debian@toell.net> wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> On 18.09.2011 06:21, onlyjob wrote:
>> Recent package from http://mentors.debian.net works on 3.0.0-1-amd64
>
> I am aware, you can see my package on [1]. Its pretty much complete but
> I am not finished yet.
>
>
> [1]
> http://anonscm.debian.org/gitweb/?p=collab-maint/flashcache.git;a=summary
> - --
> with kind regards,
> Arno Töll
> IRC: daemonkeeper on Freenode/OFTC
> GnuPG Key-ID: 0x9D80F36D
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.11 (GNU/Linux)
> Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/
>
> iQIcBAEBAgAGBQJOdb9zAAoJEMcrUe6dgPNtqcoQAMDqQSs6CPdw6TdwEBTlSU4t
> Fb+Tn5dAmq29bn8E2R2E6hZWQQC6B4FF58oZnzurOPsP16kPk/8KXmZ9J/on0pvq
> lz1bcLe4d9Sp/6iclXiYwl+YTYQIRB+WNpl1kD98ZqGhF8FZqQG2+s+VvLpgaugf
> OA1oom09Ue/P3HfS07k8X/8Rzd6/DixNIkCwF569k2FKyhjnqayRUfI4xq+uYFYi
> 8K0PYvovkin1twouc0dzvlmvWE9o3p8ANvYxf9FqnkmzpGSfHQxGqKiXn+oLLcCm
> /iALXqd6+X6t/YXr4sb9XI0l/6+eM3ltVzQhDGZ5JPHipmlN3aSHmcc0yI57J2BU
> OZ06t5Lv8BtlqVgr7OMqXb7JHZaci+snUT0DXRpRT48nj/n+GyXHk2iMWPUL0Ds+
> 5jWzzsWuvUNGeZodNWK+T2fdMs1QeGwd3b1HVs/KwnD6r9prAvh8ayaXn5SoA+W8
> 1ZVb5EL+oz7FEH5ZGJ+1pKhRdb7vpDhCzXCFYYT4szNqCaPxekrm4ZhWz9X1hCKl
> Pl+dLL5DYzYsfMvSphPR3fEBb6q9pabd8zUBI8wLhc8ENsAOtlFxCudfpsESMtzd
> UeDifQ/7RCZXW4OMgJr9lsd966Ad/C8/I04r9tHW8EYqTynLNISlmQ6SbDNLNNke
> JCvg7PtjW+u42ns3dF5g
> =RZQ5
> -----END PGP SIGNATURE-----
>




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Arno T�ll" <debian@toell.net>:
Bug#635504; Package wnpp. (Sun, 18 Sep 2011 12:52:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arno Töll <debian@toell.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Arno T�ll" <debian@toell.net>. (Sun, 18 Sep 2011 12:52:03 GMT) Full text and rfc822 format available.

Message #35 received at 635504@bugs.debian.org (full text, mbox):

From: Arno Töll <debian@toell.net>
To: onlyjob <onlyjob@member.fsf.org>, 635504@bugs.debian.org
Subject: Re: Bug#635504: ITP: flashcache -- write back block device cache for Linux
Date: Sun, 18 Sep 2011 14:48:58 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 18.09.2011 14:03, onlyjob wrote:
> No, I wasn't aware of yours...
> I reckon we've been working independently....
> I just completed my own... There are definitely some similarities but
> also differences in the way we did it.

I briefly looked at yours. It has some technical problems, but I can see
some minor things I didn't address yet. In particular you made some
preliminary man pages.
If you want, I offer you to merge your additions to my package and
successively maintain the package together with me.

- -- 
with kind regards,
Arno Töll
IRC: daemonkeeper on Freenode/OFTC
GnuPG Key-ID: 0x9D80F36D
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBAgAGBQJOdei6AAoJEMcrUe6dgPNtfe4QAMAk9kBITgViMK9rpNb3w6n3
ksuFnZp4EFhxa1EXfyVUdCOn6wWo/byo6tDaFk/AyuiRqRSltNlXx539Ba/Perdl
0fzWb6JiPGLyJhyLA32yzM2QRQVo9tLyA+qSPEZeXNKL3CLDhh6UJ+pDyM38azR0
/00U3t79T7qKCM/zMfqi0BhS5jerYe2zbhlDM2Dw1OV5t44Xo0wO5env4q91MfME
jMAVRKIuRvp0tleAbgvKv+36KWySB4wKnya/TadX8tS2Xdi95g8McYJAY3km4hwt
KQDrJtFTGjW0ZrfF5Rmny2vQTxDnY0dQcWYAPIlX/4ubEYD5GJEy3nnwzp4knloO
nSh34abdGJ6G11oej9qYOZxrCX+MyctJK3ekzqgODCmOYi9w2xhaiacQC79P23Nt
tNfccxpnLADHRWkOmEHJfX3NWtG4uw6YkqHU+3dpnA25yW7vqqdOxQDp3zZA186T
95YR5yurx+IIGzfJI9e8RemEwRlODQir4Q9EEJFdaIebhkry8dIaEiaV0qQxzwXS
3Xweoe9EDw+7+7HVY6FAG/+1d6hgl/5zaIbJAAY0fUP/f5UTUMbucdotlNM8chZE
N2mCqaGiQjvryuAwd6EieYgs7Mn+qwWS4CFxGjPUcaRKpLVV5Cfrn+TXjDufFJ5Q
UeC2On2RtTyST7FxHku9
=WE/2
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Arno T�ll" <debian@toell.net>:
Bug#635504; Package wnpp. (Sun, 18 Sep 2011 14:28:30 GMT) Full text and rfc822 format available.

Acknowledgement sent to onlyjob <onlyjob@member.fsf.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Arno T�ll" <debian@toell.net>. (Sun, 18 Sep 2011 14:28:30 GMT) Full text and rfc822 format available.

Message #40 received at 635504@bugs.debian.org (full text, mbox):

From: onlyjob <onlyjob@member.fsf.org>
To: Arno Töll <debian@toell.net>
Cc: 635504@bugs.debian.org
Subject: Re: Bug#635504: ITP: flashcache -- write back block device cache for Linux
Date: Mon, 19 Sep 2011 00:25:28 +1000
Hi Arno,

I am also looking at your package and I see things I could learn from
you especially in regards to git.
When you mention technical problems, I wish you could be more specific.

I'm only making my first steps in development for Debian so I
shouldn't be arrogant.

However, the package I made satisfies strictest lintian checks and
perhaps complies with most other recommendations.
It builds in pbuilder, etc. Elegance of get-orig-source may be
arguably improved, but my package works.
I don't quite see the point in merging something working into
something what doesn't work, and not the other way.
(With all due respect there are more than some minor things you didn't
address i.e. your package is not usable yet even though you did a lot
of work.)

There are might be some people waiting for flachcache' availability in
Debian, like myself, until two weeks ago, when I gave up waiting and
started working on this package.
For practical reasons giving up working package may be not the best
option for people who might need it.

Frankly I'm not sure what would be the best to do.
Whatever we decide let's see what we can improve and how.

Someone experienced need to review my package (and I already see a
minor problem with obsolete watch file), but all required
functionality is there and I believe it is ready for use. (As a matter
of fact I'm using it at this very moment).

Regards,
Dmitry.


On 18 September 2011 22:48, Arno Töll <debian@toell.net> wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> On 18.09.2011 14:03, onlyjob wrote:
>> No, I wasn't aware of yours...
>> I reckon we've been working independently....
>> I just completed my own... There are definitely some similarities but
>> also differences in the way we did it.
>
> I briefly looked at yours. It has some technical problems, but I can see
> some minor things I didn't address yet. In particular you made some
> preliminary man pages.
> If you want, I offer you to merge your additions to my package and
> successively maintain the package together with me.
>
> - --
> with kind regards,
> Arno Töll
> IRC: daemonkeeper on Freenode/OFTC
> GnuPG Key-ID: 0x9D80F36D
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.11 (GNU/Linux)
> Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/
>
> iQIcBAEBAgAGBQJOdei6AAoJEMcrUe6dgPNtfe4QAMAk9kBITgViMK9rpNb3w6n3
> ksuFnZp4EFhxa1EXfyVUdCOn6wWo/byo6tDaFk/AyuiRqRSltNlXx539Ba/Perdl
> 0fzWb6JiPGLyJhyLA32yzM2QRQVo9tLyA+qSPEZeXNKL3CLDhh6UJ+pDyM38azR0
> /00U3t79T7qKCM/zMfqi0BhS5jerYe2zbhlDM2Dw1OV5t44Xo0wO5env4q91MfME
> jMAVRKIuRvp0tleAbgvKv+36KWySB4wKnya/TadX8tS2Xdi95g8McYJAY3km4hwt
> KQDrJtFTGjW0ZrfF5Rmny2vQTxDnY0dQcWYAPIlX/4ubEYD5GJEy3nnwzp4knloO
> nSh34abdGJ6G11oej9qYOZxrCX+MyctJK3ekzqgODCmOYi9w2xhaiacQC79P23Nt
> tNfccxpnLADHRWkOmEHJfX3NWtG4uw6YkqHU+3dpnA25yW7vqqdOxQDp3zZA186T
> 95YR5yurx+IIGzfJI9e8RemEwRlODQir4Q9EEJFdaIebhkry8dIaEiaV0qQxzwXS
> 3Xweoe9EDw+7+7HVY6FAG/+1d6hgl/5zaIbJAAY0fUP/f5UTUMbucdotlNM8chZE
> N2mCqaGiQjvryuAwd6EieYgs7Mn+qwWS4CFxGjPUcaRKpLVV5Cfrn+TXjDufFJ5Q
> UeC2On2RtTyST7FxHku9
> =WE/2
> -----END PGP SIGNATURE-----
>




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Arno T�ll" <debian@toell.net>:
Bug#635504; Package wnpp. (Mon, 19 Sep 2011 11:16:54 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arno Töll <debian@toell.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Arno T�ll" <debian@toell.net>. (Mon, 19 Sep 2011 11:16:57 GMT) Full text and rfc822 format available.

Message #45 received at 635504@bugs.debian.org (full text, mbox):

From: Arno Töll <debian@toell.net>
To: onlyjob <onlyjob@member.fsf.org>, 635504@bugs.debian.org
Subject: Re: Bug#635504: ITP: flashcache -- write back block device cache for Linux
Date: Mon, 19 Sep 2011 12:45:44 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi Dmitry,

On 18.09.2011 16:25, onlyjob wrote:
> When you mention technical problems, I wish you could be more specific.

You made some semantic errors Lintian can't detect in its purpose as
static analysis tool. As I said, I didn't extensively check your
package. Among the most obvious things are:

* For example the VCS fields do not denote upstreams VCS, but the
packaging VCS in Debian.
* You provide no mechanism to setup a flashcache volume on boot.
* You are not supposed to copy the DKMS script into your package, but to
invoke them at runtime.
* You close an ITP bug you don't own ... mine.
* Code of Flashcache is GPL-2 _only_ but you release your Debian
packaging as GPL-3+. That will cause trouble as soon as you need to
merge patches (at least).

> I don't quite see the point in merging something working into
> something what doesn't work, and not the other way.

Fair enough. Please note this is not how we work in Debian, though. I am
the owner of the ITP bug and I made visible progress since I filed the
ITP. You will very likely have a hard time in finding a sponsor while
trying to hijack someone else's packages.
This does not give you very much alternatives to my offer, besides of
stepping down as maintainer (in Debian) completely. Your approach wasn't
exactly polite and yet I offered you to form a team together with me.

> (With all due respect there are more than some minor things you didn't
> address i.e. your package is not usable yet even though you did a lot
> of work.)

I didn't say my package would be ready to use. That's the reason why I
didn't try to introduce it to Debian yet. However I believe, the package
is (sort of) usable as is. If you find some problems, I am eager for
letting me know.

> For practical reasons giving up working package may be not the best
> option for people who might need it.

Merging is not exactly the same as giving up. Also, Debian is not only
about working packages, but also about quality packages, and that takes
time. Something which "just works" somehow is trivial to achieve.

Note, by that I didn't want to imply at all that your package would not
be a quality package. I am just not confident enough about mine yet, as
I know it lacks certain features including but not limited to tested
init.d support and manpages.

- -- 
with kind regards,
Arno Töll
IRC: daemonkeeper on Freenode/OFTC
GnuPG Key-ID: 0x9D80F36D
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBAgAGBQJOdx1YAAoJEMcrUe6dgPNtZdgQAJf09vPCOOkZTRuJYcsQc1D9
rXC2PcW3XviT44hvLJdUvPilq6xPI4d4964hNdmagd1fchtjZ9xJl/bfIjLJGOfA
fIdPr7SSX6LHHnS7On04DEX9AL0brc04AOYqcNyjAFV01pRM5z3p1xgDDP7GeBF5
Cvtksvasyq303GwpR2Y4O6lXeoM7AcMYIIeAM5xp7G2AIDLKaqeFTQKI/0I4s3k9
rRR7XBGyCIpjO7CL/kzPRVQnfm+YwPjTIBQ9BJXb8X7j7rGlt4EJ+YzBuEkIpkO6
4qwftFO/zRaYIJ2HOPDQU95bIrecj8hsNJrbzCIgd10K7ePr0wQP41UWR6+PjW/L
J3aDsizeud2KW7hDO3HSC1HQwCmpE2NF6NynXlzYtq5Q9UI+n24+E3AW8lbFS4DZ
oinJjKwyLjJJQB9UIiNV6tq/Ss5KXbtMqd410S6a5vwZhk+adEG1wUOtzpFax1FV
aM9dmFWZDALMKEhd8JQtnyS0OCUVKMwEB8yl41T5VqYtRQPO8BekcNCgK11n1BJG
EPQlnffU/GH2p/WgRtAWq+dmmAWxLPPh/QOcRPHGkJLuCULSp0Q6D+8D0a+6zrRD
B4FbRye44F0j4rBXkNHJ5438Rx0QZeYIgO6wmR69Yr9NIFszgCk88xwDQdO6CQvw
uqGRpFYY/AmjVYPwogbi
=0NEQ
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Arno T�ll" <debian@toell.net>:
Bug#635504; Package wnpp. (Tue, 20 Sep 2011 01:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to onlyjob <onlyjob@member.fsf.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Arno T�ll" <debian@toell.net>. (Tue, 20 Sep 2011 01:57:03 GMT) Full text and rfc822 format available.

Message #50 received at 635504@bugs.debian.org (full text, mbox):

From: onlyjob <onlyjob@member.fsf.org>
To: Arno Töll <debian@toell.net>, 635504@bugs.debian.org
Subject: Re: Bug#635504: ITP: flashcache -- write back block device cache for Linux
Date: Tue, 20 Sep 2011 11:54:05 +1000
Hi Arno,

Thank you very much for your feedback.
Much appreciated.
I well relicense files in debian/* as GPLv2+

> * You provide no mechanism to setup a flashcache volume on boot.

Well, even if this functionality might be nice to have, it is not
required and it is not in upstream.
So it is not a flaw in my package. Providing extra functionality
should not be a blocker for package release.
For example cryptsetup package (which is also managing device mapper
pass-through devices) do not have this functionality.
This functionality arguably may be considered a separate job, which
might be packaged separately.
As Antoine de Saint-Exupéry once said: "A designer knows he has
achieved perfection not when there is nothing left to add, but when
there is nothing left to take away."

> * You close an ITP bug you don't own ... mine.

OK, I'd like to get the better understanding of what's the problem here.
Am I expected to file a duplicate ITP if I already have a solution?
Do we allow competition in Debian,
or does whoever filed ITP first, get a monopoly over packaging?
At least anyone is free to fix someone else's bugs even though someone
might be already working on it.

> Fair enough. Please note this is not how we work in Debian, though. I am
> the owner of the ITP bug and I made visible progress since I filed the
> ITP. You will very likely have a hard time in finding a sponsor while
> trying to hijack someone else's packages.
> This does not give you very much alternatives to my offer, besides of
> stepping down as maintainer (in Debian) completely. Your approach wasn't
> exactly polite and yet I offered you to form a team together with me.

I understand the importance and benefits of collaboration.
Visibility of your progress is questionable since in the ITP had no
information about location of your effort
or the progress you've made.
I was ready to file my own ITP but yours was already there, for over a
month without update.
I'm not sure if I should care about finding a sponsor - if you have
one, your work will get a better chance to be included when you
finish.
Meanwhile my package make sense.
I'm not sure what's the meaning of hijacking in this context.
I made all the work by my own independently.
To some extent there is a duplication of effort which we could avoid
if I were able to find your work.
Whatever I do you are in better position to have your work to be
accepted into Debian, so there is probably nothing for you to worry
about.

> This does not give you very much alternatives to my offer, besides of
> stepping down as maintainer (in Debian) completely. Your approach wasn't
> exactly polite and yet I offered you to form a team together with me.

I never meant to be impolite and I am sorry if I happen to do
something rude accidentally.
I see no drama if one of us will not be maintainer for flashcache
package  - there are plenty of other opportunities to contribute.
I'm OK to be a co-maintainer (two brains always better than one) and I
appreciate your offer.
What I don't understand is what exactly your offer is.
You're already free to take whatever you need for your package from
mine - my understanding is that you don't even need permission for it.
There are some minor concerns of mine like package version numbers:
for example my numbering may not be exactly orthodox, but it can be
translated directly into upstream checkout version.
But my biggest concern is package availability.
If my estimation is accurate, without usable outcome you spent about
4x times more time working on your package than I spent on mine.
This is probably because I desperately need working package.
Would teaming with you would require for me to work on both packages
until you will be ready to release yours?
Probably yes and I'm not sure if I want it or understand why it is
worth it. (Or should I do it merely for not hurting your feelings?)
I believe I did little wrong by doing work on the package and I refuse
to feel guilty about it.
Even though co-maintaining seems reasonable, you made it sound like a
favor to me, which is fine because I'm not proud.
But at this point I think someone else (a Debian Developer) should
tell us who should merge with who according to our work and not
according to who logged an ITP first.

I'm not in position to compare the quality of our packages.
Of course both of us eager to do the best work possible.
Having said this I understand that perfect work takes forever to finish.
We need to release something now, and I believe I'm a little bit ahead
of you in that regards (quite accidentally though).
In the end it doesn't matter who's package will remain the one as long
it will be available.

Please feel free to merge whatever you find useful.
I hope you'll excuse me for my lack of understanding (and experience)
of what it is to be a co-maintainer.
Please let me know of any procedures you believe we should agree on.

All the best,
Dmitry.



On 19 September 2011 20:45, Arno Töll <debian@toell.net> wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> Hi Dmitry,
>
> On 18.09.2011 16:25, onlyjob wrote:
>> When you mention technical problems, I wish you could be more specific.
>
> You made some semantic errors Lintian can't detect in its purpose as
> static analysis tool. As I said, I didn't extensively check your
> package. Among the most obvious things are:
>
> * For example the VCS fields do not denote upstreams VCS, but the
> packaging VCS in Debian.
> * You provide no mechanism to setup a flashcache volume on boot.
> * You are not supposed to copy the DKMS script into your package, but to
> invoke them at runtime.
> * You close an ITP bug you don't own ... mine.
> * Code of Flashcache is GPL-2 _only_ but you release your Debian
> packaging as GPL-3+. That will cause trouble as soon as you need to
> merge patches (at least).
>
>> I don't quite see the point in merging something working into
>> something what doesn't work, and not the other way.
>
> Fair enough. Please note this is not how we work in Debian, though. I am
> the owner of the ITP bug and I made visible progress since I filed the
> ITP. You will very likely have a hard time in finding a sponsor while
> trying to hijack someone else's packages.
> This does not give you very much alternatives to my offer, besides of
> stepping down as maintainer (in Debian) completely. Your approach wasn't
> exactly polite and yet I offered you to form a team together with me.
>
>> (With all due respect there are more than some minor things you didn't
>> address i.e. your package is not usable yet even though you did a lot
>> of work.)
>
> I didn't say my package would be ready to use. That's the reason why I
> didn't try to introduce it to Debian yet. However I believe, the package
> is (sort of) usable as is. If you find some problems, I am eager for
> letting me know.
>
>> For practical reasons giving up working package may be not the best
>> option for people who might need it.
>
> Merging is not exactly the same as giving up. Also, Debian is not only
> about working packages, but also about quality packages, and that takes
> time. Something which "just works" somehow is trivial to achieve.
>
> Note, by that I didn't want to imply at all that your package would not
> be a quality package. I am just not confident enough about mine yet, as
> I know it lacks certain features including but not limited to tested
> init.d support and manpages.
>
> - --
> with kind regards,
> Arno Töll
> IRC: daemonkeeper on Freenode/OFTC
> GnuPG Key-ID: 0x9D80F36D
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.11 (GNU/Linux)
> Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/
>
> iQIcBAEBAgAGBQJOdx1YAAoJEMcrUe6dgPNtZdgQAJf09vPCOOkZTRuJYcsQc1D9
> rXC2PcW3XviT44hvLJdUvPilq6xPI4d4964hNdmagd1fchtjZ9xJl/bfIjLJGOfA
> fIdPr7SSX6LHHnS7On04DEX9AL0brc04AOYqcNyjAFV01pRM5z3p1xgDDP7GeBF5
> Cvtksvasyq303GwpR2Y4O6lXeoM7AcMYIIeAM5xp7G2AIDLKaqeFTQKI/0I4s3k9
> rRR7XBGyCIpjO7CL/kzPRVQnfm+YwPjTIBQ9BJXb8X7j7rGlt4EJ+YzBuEkIpkO6
> 4qwftFO/zRaYIJ2HOPDQU95bIrecj8hsNJrbzCIgd10K7ePr0wQP41UWR6+PjW/L
> J3aDsizeud2KW7hDO3HSC1HQwCmpE2NF6NynXlzYtq5Q9UI+n24+E3AW8lbFS4DZ
> oinJjKwyLjJJQB9UIiNV6tq/Ss5KXbtMqd410S6a5vwZhk+adEG1wUOtzpFax1FV
> aM9dmFWZDALMKEhd8JQtnyS0OCUVKMwEB8yl41T5VqYtRQPO8BekcNCgK11n1BJG
> EPQlnffU/GH2p/WgRtAWq+dmmAWxLPPh/QOcRPHGkJLuCULSp0Q6D+8D0a+6zrRD
> B4FbRye44F0j4rBXkNHJ5438Rx0QZeYIgO6wmR69Yr9NIFszgCk88xwDQdO6CQvw
> uqGRpFYY/AmjVYPwogbi
> =0NEQ
> -----END PGP SIGNATURE-----
>




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Arno T�ll" <debian@toell.net>:
Bug#635504; Package wnpp. (Tue, 20 Sep 2011 15:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arno Töll <debian@toell.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Arno T�ll" <debian@toell.net>. (Tue, 20 Sep 2011 15:57:05 GMT) Full text and rfc822 format available.

Message #55 received at 635504@bugs.debian.org (full text, mbox):

From: Arno Töll <debian@toell.net>
To: onlyjob <onlyjob@member.fsf.org>, 635504@bugs.debian.org
Subject: Re: Bug#635504: ITP: flashcache -- write back block device cache for Linux
Date: Tue, 20 Sep 2011 17:54:47 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi Dmitry,
On 20.09.2011 03:54, onlyjob wrote:
> Well, even if this functionality might be nice to have, it is not
> required and it is not in upstream.

So? Have a look to other packages. Most provide convenience wrapper,
patches and additions if upstream's cruft is not usable enough. Many of
those additions ultimately are being pushed to upstream and often merged
for successive releases.

Remember: A Debian package targets a large user base, not your
specialized use case only. Hence it must provide the greatest possible
convenience and flexibility.

> For example cryptsetup package (which is also managing device mapper
> pass-through devices) do not have this functionality.

crypttab(5). Read it.

> This functionality arguably may be considered a separate job, which
> might be packaged separately.

Not in Debian. In Debian we treat all packages as first class citizen,
and especially for new packages we try to introduce only well shaped,
complete packages.

> OK, I'd like to get the better understanding of what's the problem here.
> Am I expected to file a duplicate ITP if I already have a solution?

No, per package only one WNPP bug exists.

You are expected to contact the maintainer or WNPP bug owner to learn
about possibilities to contribute.

> Do we allow competition in Debian,
> or does whoever filed ITP first, get a monopoly over packaging?

Debian allows competition in a sense that several technical solutions
for one problem may coexist with each other. For example, more than one
web server is packaged in Debian.
There is no competition among packagers itself. I do not compete with
you for making a better package than you do. We either do that together,
or the person who came first does.
Even for NMUs (Non Maintainer Uploads) you are not supposed to hijack
packages, but to fix a very specific problem in a minimal invasive way.
Moreover, such NMUs typically are announced and uploaded with 7+ days
delay to let the regular maintainer step in if he wants to.

> At least anyone is free to fix someone else's bugs even though someone
> might be already working on it.

Typically one announces publicly if one is working on a particular bug
of a foreign package. After all a bug fix is something completely
different than hijacking a package. Moreover, no maintainer will reject
patches if they are of good quality. That would be silly.

> Visibility of your progress is questionable since in the ITP had no
> information about location of your effort
> or the progress you've made.

You could have asked, just like you did two days ago. You see, you can
reach me that way.

> I'm not sure if I should care about finding a sponsor - if you have
> one, your work will get a better chance to be included when you
> finish.

As I said, you will have a hard time finding a sponsor, once (if) he
realizes you try to rule out someone else by your upload. I won't hinder
you to try it - not I could after all.

> Meanwhile my package make sense.

You are free to use it.
You are free to announce it wherever you want.
You are free to advertise it.

I am just pointing out, the way you are trying to introduce your package
to Debian is somewhat impolite and discouraged among members of the
Debian community.

Oh, and by the way: We target unstable/Sid for new packages. That
distribution is not at all intended to be used by users. Our users are
expected to run Debian Stable - currently Squeeze - which will never see
a flashcache package. Neither mine nor yours.

> I'm not sure what's the meaning of hijacking in this context.
> I made all the work by my own independently.

By hijacking I mean you are trying to take over to maintain a certain
package which is under active maintenance by someone else (being
effectively available to end users or not, does not matter here).

> I see no drama if one of us will not be maintainer for flashcache
> package  - there are plenty of other opportunities to contribute.

Agreed. Yet I came first with the idea to package flashcache. :>

> What I don't understand is what exactly your offer is.
> You're already free to take whatever you need for your package from
> mine - my understanding is that you don't even need permission for it.

Right. I can, exactly like you are allowed to take my changes for your
package. As I said, that's not my intention though. If I see interest by
someone else to do hard packaging work, why should I reject that
opportunity? There are many packages in Debian which desperately seek
help, why should I reject such an offer?

Obviously a package can be maintained by more than one individual, a
co-maintainer is pretty much what the name suggests: Two persons equally
responsible for a single package. Both of us will get bug reports, both
of us are allowed to commit to our repository, both of us are
responsible to fix bugs and, - if this is what you are worried about -
you are equally credited for your work.

> This is probably because I desperately need working package.
> Would teaming with you would require for me to work on both packages
> until you will be ready to release yours?

For a transitional period probably yes. Especially since I am truly
hoping you are not using Sid on your productive machines.

> Probably yes and I'm not sure if I want it or understand why it is
> worth it. 

If you don't see any benefit in working together with someone else for
the same goal, you shouldn't do it then.

> I believe I did little wrong by doing work on the package and I refuse
> to feel guilty about it.

I don't blame you for your package, but I think I made that clear.

> But at this point I think someone else (a Debian Developer) should
> tell us who should merge with who according to our work and not
> according to who logged an ITP first.

I believe, any developer will tell you the same I do. However, feel free
to raise your question to a wider audience, e.g. by asking on
debian-devel or debian-mentors.

> We need to release something now, and I believe I'm a little bit ahead
> of you in that regards (quite accidentally though).

Once again: You can do whatever you want. You can use your own package
as well as mine eventually, but no matter what you do: It won't show up
in a stable release anytime soon.

> Please let me know of any procedures you believe we should agree on.

I don't need to convince you to join a team, if you don't want to.

(stripped some parts of your mail, where I am not in the mood to reply
right now)

- -- 
with kind regards,
Arno Töll
IRC: daemonkeeper on Freenode/OFTC
GnuPG Key-ID: 0x9D80F36D
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBAgAGBQJOeLdHAAoJEMcrUe6dgPNtF5UP/iT44fG2epJimmWKrABVzF/6
XR41kxpSHe/NJcmFHAbDeDM0jZYIbGrKQF1L1w0XQFATkxbvWR8xzOhzPW22140N
iEnmaEIZVz9kjq0L5sUZX65g1R06X0XP20DSixyF07ljc8v/0wJqfQHRwdl1VklS
b9wlITSKsQajDyNnB7Mx5wFvIo2eaMnya1gjuS52jiTqpXh0S3hS6wZcQCiRKQt3
EZzIOpxow4tvBHEQVlulXwEPLyPPlUHHzh9e7N05a+fhhqiJ0W3LR3arw/M2lV5J
mqG4tF5g3LX99T3OKhLOrZ8DepIorKRissUScXwDtzFRygPwbbZylJ5Ls0tylZiX
VZhTwY5Mfbnfep8evoYT8IrycTTOU7T4eVpA0bHqG1weeLexNcXtgOxvGkzdnFOB
nkLjG73P9dil5Mg8tCWLgv12tJRPt+blxLCrWEja/mqrpdG74yskUXJVMUs14S70
wVOdPYtm2Tw3qcIV06xw/vSoGfm8eZalV1hy/sWLFLJ0Kvc3KlYsFX2qiZrzS/fz
ohFt3u7oJoxF148J7CRE5lGzHonf6a+DIm3F8JLI6DGarqZmeBimT5xbnWHjqNny
ltwYyL2T6RfekMjmQe91EIK3ub9e50yuIh9efl57kJ8k1zE2GAH8PZ3AG84dT3Db
dVg1DcZYLdOxkCumtfEF
=Byr3
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Arno T�ll" <debian@toell.net>:
Bug#635504; Package wnpp. (Tue, 20 Sep 2011 16:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Arno T�ll" <debian@toell.net>. (Tue, 20 Sep 2011 16:12:03 GMT) Full text and rfc822 format available.

Message #60 received at 635504@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: onlyjob <onlyjob@member.fsf.org>, 635504@bugs.debian.org
Subject: Re: Bug#635504: ITP: flashcache -- write back block device cache for Linux
Date: Tue, 20 Sep 2011 18:08:50 +0200
Disclaimer: I didn't look at either of your packages. I don't even know 
what flashcache is about.

>Do we allow competition in Debian,

Competition for package maintenance is a complete waste of time, both 
for maintainers and their sponsors.

>or does whoever filed ITP first, get a monopoly over packaging?

You can call it monopoly if you like. It's the same kind of power that a 
maintainer has over his packages that are already in the archive. Would 
you repackage from scratch, say, trafficserver[0], and then look for a 
sponsor claiming that your package is somehow better? I guess not...

>Visibility of your progress is questionable since in the ITP had no 
>information about location of your effort or the progress you've made.

Assuming that there's no progress on the ITP just because there's on 
evidence on the contrary is simply wrong. You didn't ask Arno what's 
status of his packaging before announcing that your package is ready.


[0] http://packages.qa.debian.org/t/trafficserver.html

-- 
Jakub Wilk




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Arno T�ll" <debian@toell.net>:
Bug#635504; Package wnpp. (Thu, 22 Sep 2011 02:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to onlyjob <onlyjob@member.fsf.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Arno T�ll" <debian@toell.net>. (Thu, 22 Sep 2011 02:42:03 GMT) Full text and rfc822 format available.

Message #65 received at 635504@bugs.debian.org (full text, mbox):

From: onlyjob <onlyjob@member.fsf.org>
To: Arno Töll <debian@toell.net>
Cc: 635504@bugs.debian.org
Subject: Re: Bug#635504: ITP: flashcache -- write back block device cache for Linux
Date: Thu, 22 Sep 2011 12:38:59 +1000
Dear Arno,

Congratulations upon mentors.debian.net hardware upgrade - well done.

Thank you for your patience - you needed so much of it with me.

I have all my questions answered in mentor's mail list
 but there are many other questions regarding how co-maintainership
will work for us, unless your are still mad at me.

I noticed you integrated man pages into your package - thanks for this.

As you may already know upstream made number of changes, notably:
  *  updated documentation
  *  initramfs hook for early flashcache_load invocation
  *  updated Makefiles (upstream kindly accepted my minor patch
(similar to yours) for $(DESTDIR) compatibility)

I updated the man pages by incorporating recent upstream documentation update.
In addition my package got some review and feedback from mentors recently.
I addressed all the issues but the repository one (mine is not
publicly available), and since yours already there, there is no point
to create another one.

I uploaded my updated source package to mentors.debian.net:
    http://mentors.debian.net/debian/pool/main/f/flashcache/flashcache_1.0~20110921014850-1.dsc

Please feel free to pull all latest changes from it.

I'm quite inexperienced with git so I couldn't figure out how to
access your repository.
Is my Alioth account onlyjob-guest allowed to push?

Anyway you're the boss so I'm not going to do anything without you
permission (and instructions).

It appears to me that you might want to make a separate branch from my
package but ultimately it is up to you.
I'm not sure if you want to keep your workaround for mounting
flashcache volumes on boot after introducing initramfs hook by
upstream.
(Frankly I didn't have a chance to test this functionality yet.)

What do you think about version number differences between our packages?
(I really like my get-latest-source target)

Please advice on the best way to cooperate and sorry for troubles.

Maybe we have at least one thing in common after all: I noticed you've
chosen Perl to write flashcache_mount - I think it is nice because I
love Perl.

Regards,
Dmitry.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Arno T�ll" <debian@toell.net>:
Bug#635504; Package wnpp. (Thu, 22 Sep 2011 13:42:27 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arno Töll <debian@toell.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Arno T�ll" <debian@toell.net>. (Thu, 22 Sep 2011 13:42:27 GMT) Full text and rfc822 format available.

Message #70 received at 635504@bugs.debian.org (full text, mbox):

From: Arno Töll <debian@toell.net>
To: onlyjob <onlyjob@member.fsf.org>, 635504@bugs.debian.org
Subject: Re: Bug#635504: ITP: flashcache -- write back block device cache for Linux
Date: Thu, 22 Sep 2011 15:01:54 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi,

On 22.09.2011 04:38, onlyjob wrote:
> Congratulations upon mentors.debian.net hardware upgrade - well done.

Thanks, but unrelated :)

> As you may already know upstream made number of changes, notably:
>   *  updated documentation
>   *  initramfs hook for early flashcache_load invocation
>   *  updated Makefiles (upstream kindly accepted my minor patch
> (similar to yours) for $(DESTDIR) compatibility)

Yes. I merged upstream's most recent commit and prepared a new upstream
release, including your patch and thus removed mine.

> I updated the man pages by incorporating recent upstream documentation update.

I updated the man pages. However you can also do yourself, if you intend
to become my co-maintainer. Same holds for everything else you want to
improve - but see below.

> I'm quite inexperienced with git so I couldn't figure out how to
> access your repository.
> Is my Alioth account onlyjob-guest allowed to push?

Yes, it technically is. However I'd ask you to send me git format
patches instead of pushing changes, I can review first. Once I'm
convinced I can fully trust your work, I'll ask you to push directly
instead. I made you official co-maintainer, by the way [1]. Don't worry
on the Maintainer/Uploaders difference. That has merely historic
reasons, I don't have any more powers within the package than you.

> It appears to me that you might want to make a separate branch from my
> package but ultimately it is up to you.

I see no point in two packages at all. I think I merged all improvements
from your package into mine. If you disagree, let me know if you miss
something.
As far as I know, you are only worried on the date string and I think I
solved that. Besides, your version number is wrong anyway, as its
1.0+... not 1.0~. Please compare outputs of:

$ dpkg --compare-versions '1.0+1' '<=' '1.0' && echo "True"
$ dpkg --compare-versions '1.0~1' '<=' '1.0' && echo "True"


> I'm not sure if you want to keep your workaround for mounting
> flashcache volumes on boot after introducing initramfs hook by
> upstream.
> (Frankly I didn't have a chance to test this functionality yet.)

Yes, but the initramfs hook does not setup anything. It only provides
the binaries in the initrd. It still does not provide any mechanism to
setup such volumes upon boot. You would need to hack a initramfs script
to execute a mount script upon boot.

> What do you think about version number differences between our packages?
> (I really like my get-latest-source target)

I updated mine to be more precise, i.e. I added hh:mm to the version
number. I think that's enough. Besides we do pretty much the same thing
in our targets, except that your package has more build dependencies
because you use bashisms and Perl. Both are essential packages for now
(well, perl-base at least), but there are some thoughts to remove bash
from that list. I'd prefer to keep dependencies low.

> Maybe we have at least one thing in common after all: I noticed you've
> chosen Perl to write flashcache_mount - I think it is nice because I
> love Perl.

There are surely more common things. Since we're interested in the same
package, that's a very visible common thing, isn't it?


I think we can stop CC:ing the bug now. Let's do any further technical
discussion in private.

[1]
http://anonscm.debian.org/gitweb/?p=collab-maint/flashcache.git;a=commitdiff;h=52ba48f241cf2e9b721582ec2dbd9fe1a34e4e44

- -- 
with kind regards,
Arno Töll
IRC: daemonkeeper on Freenode/OFTC
GnuPG Key-ID: 0x9D80F36D
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBAgAGBQJOezHBAAoJEMcrUe6dgPNtwa8P/1oeAOinLLEHhJh9v/kiO+9n
vIm0dLlfXpiD1GErtO9SYUllLW3UNxnBIEdihWQWaSSUA1H7ludIHkvMrEPLHVma
LmVnr+t7m3aBInOqX80SPB8CuhX2exRYzHUh4L1IH2+mqK+vidrMN6uv1UTOWi3s
i0PhTp9YJbHQlb8hJAoOg7E4a52lETgTBUVwbodKETfqaG3gkO4GJDLJ3mF8cuqF
6pl9LkqQpOc6+hRJg3j+hO5o9B6qj+WDSL19CuwCo7wLAt/YyadFsANjqYPutX1B
aSCtVjzKR+RcIdaYeYFct3ptQst6CrLB1FumBy4PfX9NJlHskCCF4mGrazA3igsf
P20ArtqkhOMDviltfKBZ8yKcHPVTtZEGYGq0VU8QJiUJy1n+aMVfDnSPkZGmf/UM
bt1cMwU5JPzFu8YGpJ/0fnrrOWhQGJ3xoo8DeIcCS211b03V7L4yCWNpsUgT1ZPI
o6bJyZ8HkQSzsWZgW7SrkrhCTyGwF5ouiDsHmJCdiUV8lu6/KgVR61ZQ8/6y6fiO
t7NTv5CsX53Oi6dLlz4KV22JCth+28urVEsxBo4tQfUzrow7bDYw629lesI+0hG6
Bd9IFEv3LCVLnku11MOE4TB4KFIjBnN7y1m95x0xZn8ES6rgBuJHpaIvkObQNUIs
ASTxKacG5oirRt49xF8M
=qFTb
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Arno T�ll" <debian@toell.net>:
Bug#635504; Package wnpp. (Fri, 14 Oct 2011 17:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Liang Guo <bluestonechina@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Arno T�ll" <debian@toell.net>. (Fri, 14 Oct 2011 17:48:05 GMT) Full text and rfc822 format available.

Message #75 received at 635504@bugs.debian.org (full text, mbox):

From: Liang Guo <bluestonechina@gmail.com>
To: Arno Töll <debian@toell.net>
Cc: 635504@bugs.debian.org, onlyjob@gmail.com
Subject: Re: Bug#635504: ITP: flashcache -- write back block device cache for Linux
Date: Sat, 15 Oct 2011 01:45:29 +0800
Hi, Arno,

CC to onlyjob too, he is interesting on flashcache too.

On Wed, Jul 27, 2011 at 4:47 PM, Arno Töll <debian@toell.net> wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> On 27.07.2011 07:49, Liang Guo wrote:
>> flashcache don't compatible with linux 3.0.0, do you have any solution for this?
>
> I haven't tried it with Linux 3.0 (yet), but as flashcache is under
> active development and it runs fine on rather recent kernels as well,
> this should not be a crucial problem.
>
> However thanks for your hint.
>
Any News on flashcache packaging
-- 
Liang Guo
http://bluestone.cublog.cn




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Arno T�ll" <debian@toell.net>:
Bug#635504; Package wnpp. (Fri, 14 Oct 2011 18:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arno Töll <debian@toell.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Arno T�ll" <debian@toell.net>. (Fri, 14 Oct 2011 18:27:03 GMT) Full text and rfc822 format available.

Message #80 received at 635504@bugs.debian.org (full text, mbox):

From: Arno Töll <debian@toell.net>
To: Liang Guo <bluestonechina@gmail.com>, 635504@bugs.debian.org
Cc: onlyjob@gmail.com
Subject: Re: Bug#635504: ITP: flashcache -- write back block device cache for Linux
Date: Fri, 14 Oct 2011 20:21:52 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi Liang Guo,

On 14.10.2011 19:45, Liang Guo wrote:
> Any News on flashcache packaging

yes, Dmitry and me joined a packaging team and our package is mostly
ready. If you know how to build source packages please have a look to
[1] and please do:

git clone git://anonscm.debian.org/collab-maint/flashcache.git
make -f debian/rules get-orig-source
dpkg-buildpackage -b -us -uc


Any feedback is welcome.  Regarding an official package we will try to
get flashcache into Debian Sid very soon.

[1]
http://anonscm.debian.org/gitweb/?p=collab-maint/flashcache.git;a=summary

- -- 
with kind regards,
Arno Töll
IRC: daemonkeeper on Freenode/OFTC
GnuPG Key-ID: 0x9D80F36D
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBAgAGBQJOmH3AAAoJEMcrUe6dgPNt2C0P/AqWtZLy2ksARv+JsxMnEz+f
9opw+xVHOg26goKT7tz2zL3kwIZmPQ5/CDkm+De3nTGFmPxF3s7JpsW1KcLZyon2
u5Vu6nBv3WgFIhRjMEgG7y8tVoXDHgxLnkLlA6q427dNJDZvrc9Ruo4PG32XgEro
bzgAaNV0qXdzgsOLoQzvwd5Zm/rBsg5b4d6HcWVI9DoqCtu543YdkqO+JlT3jDXI
1YRH4wiG/wPV+eQ/3KrpIQMk+jyredkkP9IOnjiPx/Ttha7p+OZRdjeKVRAmh1QB
uAnhTfZDO0G5qOkav64/fz86veF0Mhng++yiUC6TEql8sUllyZicUdbToXZZkrc0
XbofSz5nx4VqIEZlA9Fp/cuQcHz2ZQt2SFzNUSd/0iJzlvfC8xAyL0qTORyhIWmm
akB6dmZh/g8Tovdk9JocAHCwK7GcJebvVNQllt+MIQkGhUR+yFyV8kSzUqBJl0lC
3hNmnIiaUD5TQgkErwcf8/DLeyu0UnkkRKUjO6Fo99/HhE60UEm9vcSnrykNWEkA
o7N+08gtvHnQHCjrkJ6o2oZo6BThvRykNjHfTdXnygS3T8SaArm/lsUIpS5dBNVd
w8cznrFymYPaTSFb1EueOHS/fDDVcm3QbypZm2buf7L74pOJc5t/pk8l+o9JmVMa
SrUkpd1yX/qu6tEkYDEz
=Lvpg
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Arno Töll" <debian@toell.net>:
Bug#635504; Package wnpp. (Sat, 31 Mar 2012 14:00:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arno Töll <debian@toell.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Arno Töll" <debian@toell.net>. (Sat, 31 Mar 2012 14:00:10 GMT) Full text and rfc822 format available.

Message #85 received at 635504@bugs.debian.org (full text, mbox):

From: Arno Töll <debian@toell.net>
To: 635504@bugs.debian.org, control@bugs.debian.org
Subject: RFP: flashcache -- write back block device cache for Linux
Date: Sat, 31 Mar 2012 15:57:43 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

retitle 635504 RFP: flashcache -- write back block device cache for Linux
thanks

As a status update: None of us currently has time to maintain this package
anymore. Thus, I am changing the bug state to RFP and everyone interested
might pick it up. The package was ready and in shape in November but
didn't find a sponsor back then. The most recent package is available
versioned in [1] and Dmitry might possibly be interested to co-maintain
it with someone else.

The package was tested last with kernel 3.0 and seemed to work fine back
then.

[1] http://anonscm.debian.org/gitweb/?p=collab-maint/flashcache.git

- -- 
with kind regards,
Arno Töll
IRC: daemonkeeper on Freenode/OFTC
GnuPG Key-ID: 0x9D80F36D
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBAgAGBQJPdw1WAAoJEMcrUe6dgPNtvukP/A+yCN3qDf54Oc8BRyxht4HS
+dFJu6g8jjl7j5pAF6FBTkguCOlufGNjhLViRhO6OSWz5SCT5ogVfAmDuodZUgF1
dCWpwZdm1rO6C8avsmHgqcW9MxE+vo/NIlMobWBnEgHmEBO3N+QPvhb80srI8nWe
xiEZ9/uAFbkI6nzDcWbSv2c4jh1Wsovxelc8qHv843dNAjBwM3reFb6fjj6zSmrb
ZBX4IeTT8RsHN+9F6QDOSVZxvnSim9/AoI/IcoGsxmXGsGfHXGcI/+DwSFDARvpa
F1LB0mPqIW+vwb/vYL7jDJnVGARgqW5FZdb5YwZWVaah8cjVskQQ3JKuxIvG6bwV
jHESILjNmgKbAZC5imztskasz3XJTmWYfUEO2o4ON93jX4kayUa1wA0U0pjSznwP
4iWiUzT+oJduyMbac7nWlshz/5Aqqihp+YPPMElvP2HlT3hw6Juk2voEiellZnqG
uH2LbYW0cVscriEsLXIm8KMLb0A7s6EKkKmEwNs8er6wAFd6vVgb9gcgD+7XHlyj
jUkk+Y4JnU6zbpwBAnn8LvQEU+qf8TQWXrogRo/Se0KQ9QPYrnfHWJrZ5yB7PGUC
lWZxbvPYNKLTi7VHOx09g2kKFdMSbepK0d5JtQmxWOEcIzrE2EPKmzDbJZNXvJWk
vK7m4vJ8CPRXfmGBfoNP
=I3Ne
-----END PGP SIGNATURE-----




Changed Bug title to 'RFP: flashcache -- write back block device cache for Linux' from 'ITP: flashcache -- write back block device cache for Linux' Request was from Arno Töll <debian@toell.net> to control@bugs.debian.org. (Sat, 31 Mar 2012 14:00:14 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by "Arno Töll" <debian@toell.net>. Request was from Arno Töll <debian@toell.net> to control@bugs.debian.org. (Sat, 31 Mar 2012 14:00:20 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: flashcache -- write back block device cache for Linux' from 'RFP: flashcache -- write back block device cache for Linux' Request was from Liang Guo <liangguo-guest@wagner.debian.org> to control@bugs.debian.org. (Sun, 27 May 2012 08:33:21 GMT) Full text and rfc822 format available.

Owner recorded as guoliang@debian.org. Request was from Liang Guo <liangguo-guest@wagner.debian.org> to control@bugs.debian.org. (Sun, 27 May 2012 08:33:23 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 13 Oct 2012 19:06:08 GMT) Full text and rfc822 format available.

Reply sent to Liang Guo <guoliang@debian.org>:
You have taken responsibility. (Sun, 11 Nov 2012 23:03:07 GMT) Full text and rfc822 format available.

Notification sent to Arno Töll <debian@toell.net>:
Bug acknowledged by developer. (Sun, 11 Nov 2012 23:03:07 GMT) Full text and rfc822 format available.

Message #100 received at 635504-close@bugs.debian.org (full text, mbox):

From: Liang Guo <guoliang@debian.org>
To: 635504-close@bugs.debian.org
Subject: Bug#635504: fixed in flashcache 1.0+git20121013-1
Date: Sun, 11 Nov 2012 23:00:07 +0000
Source: flashcache
Source-Version: 1.0+git20121013-1

We believe that the bug you reported is fixed in the latest version of
flashcache, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 635504@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Liang Guo <guoliang@debian.org> (supplier of updated flashcache package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 13 Oct 2012 14:11:35 +0800
Source: flashcache
Binary: flashcache-dkms flashcache-utils
Architecture: source all amd64
Version: 1.0+git20121013-1
Distribution: unstable
Urgency: low
Maintainer: Liang Guo <guoliang@debian.org>
Changed-By: Liang Guo <guoliang@debian.org>
Description: 
 flashcache-dkms - write-back block device cache for Linux (DKMS version)
 flashcache-utils - write-back block device cache for Linux (user space utilities)
Closes: 635504
Changes: 
 flashcache (1.0+git20121013-1) unstable; urgency=low
 .
   * Initial release (Closes: #635504).
Checksums-Sha1: 
 43aa27981ad528dfb48680b0dab226c84a66e360 2085 flashcache_1.0+git20121013-1.dsc
 df483b8f904c6c743f577518f60f4d58ce54e112 95495 flashcache_1.0+git20121013.orig.tar.gz
 9d51871b7e4c64f2854c4387d70d0ac063fae846 10544 flashcache_1.0+git20121013-1.debian.tar.gz
 3edfab32da538e0f1657cc03ed7a5b87df438a8f 50550 flashcache-dkms_1.0+git20121013-1_all.deb
 e4a8e5bb4a011b462251a59f49301872d1814bec 41848 flashcache-utils_1.0+git20121013-1_amd64.deb
Checksums-Sha256: 
 f60642055d11e38b0eccc4a5ba5394f71bfecf128ff60a62c8012cf58c01059c 2085 flashcache_1.0+git20121013-1.dsc
 1faa27c42d32608d89a7133cf5ec2f4aebea94a806bdf4aaf4a84220847b5a75 95495 flashcache_1.0+git20121013.orig.tar.gz
 e39b20d3ced5cd0d4a8c794ca429ba71058f6b92d448fb71375d8fd9647fe086 10544 flashcache_1.0+git20121013-1.debian.tar.gz
 6e8e23c89d3fb48e201e9f20409c934b9c284d9008cf778412987255deaf183f 50550 flashcache-dkms_1.0+git20121013-1_all.deb
 65c4963f666da049f460183f166252fc1aacdcd5c01055653a8025165b584ac8 41848 flashcache-utils_1.0+git20121013-1_amd64.deb
Files: 
 7127cda3e2b35096ba34fc0832e52101 2085 kernel optional flashcache_1.0+git20121013-1.dsc
 a4c87a52438b4495b66941c81bf5f61f 95495 kernel optional flashcache_1.0+git20121013.orig.tar.gz
 1427076b5fecccea4364b08b91678037 10544 kernel optional flashcache_1.0+git20121013-1.debian.tar.gz
 d02e3de02f75a61117ebb0fc69a1efca 50550 kernel optional flashcache-dkms_1.0+git20121013-1_all.deb
 e759ede6636e0bca5a3a1f605782eb13 41848 utils optional flashcache-utils_1.0+git20121013-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQeTTIAAoJEIK1tAhowJe8je0QAKaZxVNUZouIY5/QL4wvH1tJ
p6y9BaHIB39tPOe6zNtt0pLOauQ0ayXM+MUkIJ6ZT+eoWvRXOrUwCZ2g7SXAZGof
ihfg0S9arVqslbi5OSQwtlDArOUGapUFHnDMYgLayLqFenwYvHt1gTmmp1n3w2Oa
fz6QRLjG2jvlGnf0klB2eIxVqbi9pXIC9j4X14gJgI+iyVpJgGsJMEMrT7L1NL8g
rNAi/b+pC7qLjpoCixNMJabLZareYY5g2D4z6SRVXJi282CSfcq4xW2FIkBXOyWe
pwmHG+2tnPdVmspxhv0c+/r2rqqjylRiKD/sjyH/AEfdcphTybER38PzlDI1Sbxx
6aLIWUmJYz/xzlJL4BZczLMs090eZO+LtUCkBZDuq/hPN8geE6c8ucyWB/kWvolO
2eaBWF6bAvUT4UKD00aZIydaP235iUoONHawxsnj7B1JPhLoRhp/VZSKGCONHFaw
/ITn/IQw4TOt6x0OW/oP42Uv/CMQEnkg/AKXkrB0N/6zxAgofoXxbkQSUHcX50zf
AxA/L/Dkieq7M/sWLHps4B+cLwemNH/cyK6ZgZPnl7Z1XO+CnGbFbINSGpC0U3zW
+T2GoSWi/H/aTAsyULLdmI1cLHe7dSQBOaZMLSd8lLuIp8gP+4v967v9TNihgNbg
80plxvKaaYH3pU31M7LQ
=wdGo
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 10 Dec 2012 07:25:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 21:47:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.